E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
GSmtp::ServerPeer Class Reference

Handles a connection from a remote SMTP client. More...

`#include <gsmtpserver.h>`

Inheritance diagram for GSmtp::ServerPeer:

## Public Member Functions
| ServerPeer (GNet::Server::PeerInfo peer_info, Server &server, const GAuth::Secrets &server_secrets, const Server::Config &server_config, unique_ptr< ServerProtocol::Text > ptext)
| Constructor.
Public Member Functions inherited from GNet::ServerPeer
| ServerPeer (Server::PeerInfo)
| Constructor. More...
bool | send (const std::string &data, std::string::size_type offset=0U)
| Sends data down the socket to the peer. More...
bool | send (const std::vector< std::pair< const char *, size_t > > &data)
| Overload to send data using scatter-gather segments. More...
void | doDelete (const std::string &=std::string())
| Calls onDelete() and schedules a "delete this".
std::string | logId () const
| Returns an identification string for logging purposes.
virtual std::pair< bool, Address > | localAddress () const override
| Returns the local address. More...
virtual std::pair< bool, Address > | peerAddress () const override
| Returns the peer address. More...
virtual std::string | connectionState () const override
| Returns the connection state display string. More...
virtual std::string | peerCertificate () const override
| Returns the peer's TLS certificate. More...
virtual void | readEvent () override
| Override from GNet::EventHandler. More...
virtual void | writeEvent () override
| Override from GNet::EventHandler. More...
virtual void | otherEvent (EventHandler::Reason) override
| Override from GNet::EventHandler. More...
void | doDeleteThis (int)
| Does delete this. Should only be used by the GNet::Server class.
Public Member Functions inherited from GNet::EventHandler
virtual | ~EventHandler ()
| Destructor.
Public Member Functions inherited from GNet::Connection
virtual | ~Connection ()
| Destructor.
Public Member Functions inherited from GNet::SocketProtocolSink
virtual | ~SocketProtocolSink ()
| Destructor.

## Protected Member Functions
virtual void | onSendComplete () override
| Override from GNet::ServerPeer.
virtual void | onDelete (const std::string &reason) override
| Override from GNet::ServerPeer.
virtual void | onData (const char *, size_t) override
| Override from GNet::SocketProtocolSink.
virtual void | onSecure (const std::string &) override
| Override from GNet::SocketProtocolSink.
Protected Member Functions inherited from GNet::ServerPeer
virtual | ~ServerPeer ()
| Destructor. More...
void | secureAccept ()
| Waits for the peer to start a secure session. More...
StreamSocket & | socket ()
| Returns a reference to the client-server connection socket. More...
Server * | server ()
| Returns a pointer to the associated server object. More...
virtual void | onException (std::exception &) override
| Override from GNet::ExceptionHandler.
Protected Member Functions inherited from GNet::ExceptionHandler
virtual | ~ExceptionHandler ()
| Destructor.

## Additional Inherited Members
Public Types inherited from GNet::ServerPeer
typedef std::string::size_type | size_type
Public Types inherited from GNet::EventHandler
enum | Reason { reason_closed, reason_down, reason_reset, reason_abort, reason_other }
Static Public Member Functions inherited from GNet::EventHandler
static std::string | str (Reason)
| Returns a printable description of the other-event reason. More...

## Detailed Description

Handles a connection from a remote SMTP client.

See also
  GSmtp::Server

Definition at line 121 of file gsmtpserver.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gsmtpserver.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gsmtpserver.cpp